Subject: automake --add-missing does not install config.rpath when AM_ICONV is used

From: Stuart Caie <[email-masked]>
Date: Fri, 26 Oct 2018 16:06:32 +0100

Hello,

the automake macro AM_ICONV requires the auxiliary program config.rpath,
however automake --add-missing will not install it.

Technically, AM_ICONV is not distributed with automake, and neither is
is config.rpath. However, automake recognises config.rpath as a special
file to distribute nonetheless.

Could config.rpath be added to automake's list of auxiliary programs,
like ar-lib, config.guess and so on?

If not, could there be some mechanism added to automake so other
packages can tell it to add their required files? e.g. could gettext.m4
which defines AM_ICONV include some special macro that tells automake
that config.rpath is needed and can be found in <location> ?

Thanks in advance,
Stuart